Last Comment Bug 680610 - Long email subjects on Roundcube webmail installs (eg. tierra.net) disappear due to text-overflow (Firefox 7 displays dots ... only)
: Long email subjects on Roundcube webmail installs (eg. tierra.net) disappear ...
Status: RESOLVED FIXED
: regression, relnote
Product: Tech Evangelism Graveyard
Classification: Graveyard
Component: English US (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: english-us
:
:
Mentors:
http://demo.roundcube.net/
Depends on: 690187
Blocks: 312156
  Show dependency treegraph
 
Reported: 2011-08-19 17:12 PDT by ABC4All
Modified: 2015-04-19 23:39 PDT (History)
12 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Minimal testcase based on the files I was sent (364 bytes, text/html)
2011-09-09 10:20 PDT, Boris Zbarsky [:bz] (still a bit busy)
no flags Details
Like so (416 bytes, text/html)
2011-09-09 11:39 PDT, Mats Palmgren (:mats)
no flags Details

Description ABC4All 2011-08-19 17:12:56 PDT
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:7.0) Gecko/20100101 Firefox/7.0
Build ID: 20110816154714

Steps to reproduce:

Installed the latest version, 7.0.


Actual results:

Opened up the email for the first time after the update.  Many items have .... rather than a subject description so I cannot see the subject info.  Am using webmail of host www.tierra.net at abc4allteam@abc4all.net

Below is a "select all" and copy/paste so you can see the email info.

E-Mail Address Book Settings Logout
logo
Folders

    Inbox (5738)
    Drafts
    Sent
    Junk (36)
    Trash
    Spam (13)

	Subject 	  	Sender 	Date 	Size 	  	 
	 Bugzilla: confirm account creation	 	bugzilla-daemon@mozilla.org	Today 16:38	3 KB	 	 
  
	 [YESWEKEN] How about, YES WE KEN reloaded..... Inshallah. B...	 	Isa Igweta Muthee	08/12/2011 09:29	7 KB	 	 
	 How to Use Twitter for your Business	 	TFollower	Today 15:59	9 KB	 	 
	 RE: Explore?	 	Bryan Noar	Today 15:27	26 KB	 	 
  
	 eCosway Opportunity	 	lachaux@aim.com	Today 12:02	3 KB	 	 
  
	 kwadwo's grant application	 	info@jazzforpeace.org	Today 12:16	24 KB	 	 
  
	 Re: Wicked Fresh Mouthwash	 	Diana Etzel	Today 13:56	3 KB	 	 
	 Your message	 	ABC4All eCommerce	Today 14:34	2 KB	 	 
	 New Membership Application	 	Clean Water Network	Today 14:14	3 KB	 	 
	 Opening of eCosway's Cupertino Store!	 	eadmin@ecosway.com	Today 14:01	4 KB	 	 
	 The *Água & Water * Daily is out ! Edition of Friday, Aug. 19, 2011	 	noreply@paper.li	Today 13:39	33 KB	 	 
	 Re : Your TIG profile	 	Roger PHOLO	Today 13:29	16 KB	 	 
	 [Make a Better World Foundation... United Fans For Love, Inc.] http://www.facebook.com/event.php?eid...	 	Pepper Simone	Today 12:20	9 KB	 	 
	 [Make a Better World Foundation... United Fans For Love, Inc.] http://www.facebook.com/event.php?eid...	 	Pepper Simone	Today 12:19	8 KB	 	 
	 FW: attn Divine - SEE ATTACHED Jump Start Letter Draft for your event in Cameroon, Africa.	 	info@jazzforpeace.org	Today 12:15	161 KB	 	 
	 Salesforce (@Assess4Sales) has sent you a direct message on Twitter!	 	Twitter	Today 11:57	12 KB	 	 
	 Media Requests for August 19, 2011	 	PitchRate.com	Today 10:53	17 KB	 	 
	 Re: Tracking Numbers + PAW Docs	 	Frank Spadafore	Today 10:48	6 KB	 	 
	 Simon Sole invited you to the event "STOP CHILD SACRIFICE PROPOSAL PRESENTING"...	 	Facebook	Today 10:42	9 KB	 	 
	 A reply was added to the comment field in Product Inquiry Form (Not related to delivery, defective items or returns) by adasaldana	 	noreply@ecoswayparcel.com	Today 10:42	2 KB	 	 
	 attn Tom Onditi and Dr. Burt Danet - Article to help raise maximum funds for our International Jazz for Peace Empowerment Grant recipients.	 	info@jazzforpeace.org	Today 10:38	257 KB	 	 
	 Fwd: Amazing Photo	 	Alex P. Thorn	Today 10:35	124 KB	 	 
	 [Network of African Youths for Development (NAYD)] New link	 	Donga Mantungeye	Today 10:28	10 KB	 	 
  
	 Re: ABC4All eCommerce	 	Robert Chew	Thu 19:02	6 KB	 	 
	 attn Divine and Burt - Article to help raise maximum funds for our International Jazz for Peace Empowerment Grant recipients.	 	info@jazzforpeace.org	Today 09:22	25 KB	 	 
	 attn kwadwo kyeremeh and Dr. Burt Danet - Article to help raise maximum funds for our International Jazz for Peace Empowerment Grant recipients.	 	info@jazzforpeace.org	Today 08:31	253 KB	 	 
	 attn Dr. Amedu Monday Amedu and Dr. Burt Danet - Article to help raise maximum funds for our International Jazz for Peace Empowerment Grant recipients.	 	info@jazzforpeace.org	Today 08:29	253 KB	 	 
	 attn Billy and Dr. Danet - Article to help raise maximum funds for our International Jazz for Peace Empowerment Grant recipients.	 	info@jazzforpeace.org	Today 08:08	252 KB	 	 
	 Jumo and GOOD Combining Forces	 	Chris Hughes	Today 08:01	16 KB	 	 
	 Gigantic balloon to lift tourists into space | SmartPlanet Daily	 	SmartPlanet Daily	Today 08:01	64 KB	 	 
	 Fw: UNICEF Goodwill Ambassador Angelique Kidjo to lead a live Q&A on the crisis in the Horn of Africa	 	Ntiokam,Divine	Today 07:51	96 KB	 	 
	 attn Mrs Ndikum Helen - www.nestofhope.org, www.oayouth.org - Article to help raise maximum funds for our International Jazz for Peace Empowerment Grant recipients.	 	info@jazzforpeace.org	Today 07:19	252 KB	 	 
	 Attn Burt Danet - 310-712-5477 - Article to help raise maximum funds for Jazz for Peace Empowerment Grant recipients.	 	info@jazzforpeace.org	Today 07:15	248 KB	 	 
	 Princess Sameera Michel added you as a contact on Arab Business Club نادي الأعمال العربي.	 	Arab Business Club	Today 07:09	4 KB	 	 
	 Help	 	divine ntiokam	Today 06:24	6 KB	 	 
	 [Inspiring Unconditional Love] Special project info from our dear friend...	 	Harold W. Becker	Today 06:24	10 KB	 	 
  
	 save Urmia Lake	 	farhad miriany	Today 05:50	3 KB	 	 
	 Your personal XING newsletter 33 | 2011	 	XING	Today 06:09	29 KB	 	 
	 The Age of Social Transformation	 	DailyGood.org	Today 04:50	21 KB	 	 
	 Learn about Diane, your new connection...	 	LinkedIn Connections	Today 04:23	15 KB	 	 
	 Re: Step #1	 	lachaux@aim.com	Today 03:20	7 KB	 	 
	 [Young African Leaders Forum] Thanks a lot my brother. I'm sure God will do a...	 	Jareth Beain	Today 02:44	8 KB	 	 
	 [Young African Leaders Forum] Thanks to God.We keep praying for your speedy...	 	Donald Kalokoh	Today 02:04	8 KB	 	 
	 [Young African Leaders Forum] Hello dear friends	 	Jareth Beain	Today 01:15	12 KB	 	 
	 [Young African Leaders Forum] Bonjour chers camarades	 	Jareth Beain	Today 01:12	13 KB	 	 
	 [YFC2] Daily Digest for August 18, 2011 (2 msgs)	 	YFC2	Today 01:02	3 KB	 	 
	 [Buhari Bakare 2011 Volunteers' Group] As a follow up to my post yesterday...	 	Messrs Johnson KayoTunde	Thu 23:57	29 KB	 	 
	 [NEW HOPE –NEW BEGINNING] I choose to be kind to myself	 	Peter S Helmes	Thu 23:55	9 KB	 	 
	 Re: [abc4allglobalteam] (AYICC) One Africa Awards	 	SCHRODINGER LIMITED	Thu 21:35	17 KB	 	 
  
	 PLEASE FORWARD TO AL CHUAH AND STEPHANIE DAVIS // Meeting with Al Chuah, CEO, eCosway on 07/12/11	 	ABC4All	07/12/2011 01:55	541 KB	 	 
Select:  Threads:  Show preview pane: 
Threads 1 to 50 of 6474
Filter:



Expected results:

I have never not been able to read all subjects of email.
Comment 1 Daniel Holbert [:dholbert] 2011-08-19 17:45:08 PDT
("Mozilla Services" is for bugs in cloud services like Sync.  Moving bug from there to "Core", which is for Firefox's rendering engine.)
Comment 2 (mostly gone) XtC4UaLL [:xtc4uall] 2011-08-21 14:35:41 PDT
Errm, shouldn't Comment 0 be hidden due to private Data?

ABC4All, do you get any relevant (i.e. Site/Issue specific) Error Console Output?
You can find the Console in the Web Developer Submenu.
Comment 3 ABC4All 2011-08-21 14:47:05 PDT
[object XULElement]

[object XULElement]

Warning: Error in parsing value for 'filter'.  Declaration dropped.
Source File: http://nowater-nolife.org/updates/twitter.html
Line: 0

[object XULElement]
[object XULElement]

can someone look at the info?  it does not seem to want to copy
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2011-08-25 11:36:10 PDT
Which mail system is this?  Is it using "text-overflow: ellipsis"?
Comment 5 ABC4All 2011-08-25 13:15:31 PDT
I do not know the answer to such technical questions, but the email server / program is the webmail by www.tierra.net
Comment 6 Boris Zbarsky [:bz] (still a bit busy) 2011-08-25 18:52:13 PDT
Well, if you save the page as "web page, complete" and then load it locally, does it also show the problem?  If so, are you willing to e-mail me the files that got saved (the page itself and the corresponding something_files directory)?
Comment 7 ABC4All 2011-08-25 19:12:47 PDT
after saving, no it does not show.
Comment 8 Boris Zbarsky [:bz] (still a bit busy) 2011-08-25 19:18:21 PDT
You saved as "web page, complete" and not as "web page, HTML only", right?
Comment 9 ABC4All 2011-08-26 16:27:20 PDT
Latest update did NOT correct the problem.
Comment 10 Boris Zbarsky [:bz] (still a bit busy) 2011-08-26 17:00:55 PDT
I'd really appreciate an answer to the question comment 8....
Comment 11 ABC4All 2011-08-26 17:41:04 PDT
YES.
Comment 12 Boris Zbarsky [:bz] (still a bit busy) 2011-08-26 18:29:19 PDT
OK.  Is there any way you can give someone access to the relevant page or some other way to reproduce?

Failing that, would you be willing to use http://harthur.github.com/mozregression/ to narrow down when the problem started appearing?
Comment 13 ABC4All 2011-08-26 18:34:10 PDT
If you have a way to connect to my computer so you can see it, that would be fine.  Is it possible to download the previous version of FF so as to avoid this?
Comment 14 Boris Zbarsky [:bz] (still a bit busy) 2011-08-26 18:42:40 PDT
Hmm.  I could do something that involves connecting to your computer, yes (e.g. using remote desktop).  You'd need to give me access.

Another approach, if you trust me enough, is for you to set a temporary password and send it to me in a private mail so I can just log in directly to your account.  I can absolutely understand if you're not comfortable with this.

You can download Firefox 6 (the current release version) at http://www.mozilla.org/firefox/

One other thing worth testing.  If you add this:

  * { text-overflow: clip !important; }

to the userContent.css in the "chrome" subdirectory of your Firefox profile and then restart the browser, does the behavior change?  You can find your profile using the steps at http://support.mozilla.com/en-US/kb/Profiles?s=profiles&as=s#w_how-do-i-find-my-profile
Comment 15 Walter Francis 2011-09-09 05:17:33 PDT
This is also a problem with Roundcube Email subject lines, which are also using text-overflow in their CSS.  I did the workaround in Comment 14 and the problem went away.

In my case I was seeing subject lines which fit in the bounds of the subject column, anything larger was just ellipses.  I'm using Roundcube 0.6-RC but they have not changed their use of text-overflow since 0.5.3 as far as I can tell from comparing the CSS, so I believe this is a new regression in Firefox 7, as it was not happening in 6.02.
Comment 16 Walter Francis 2011-09-09 05:21:57 PDT
Sorry for the spam, I just looked and in fact the host in the submitters information is running Roundcube Email.  The section in the mail.css which is using text-overflow is here..  I'm no CSS expert but I don't see anything immediately wrong?

#messagelist tbody tr td
{ 
  height: 20px;
  padding: 3px 0 3px 0;
  font-size: 11px;
  overflow: hidden;
  vertical-align: middle;
  white-space: nowrap;
  text-overflow: ellipsis;
  -o-text-overflow: ellipsis;
  /*border-bottom: 1px solid #EBEBEB;*/
  cursor: default;
} 

If I remove/disable the text-overflow line, the problem goes away.  Any other information to provide, please let me know.
Comment 17 Boris Zbarsky [:bz] (still a bit busy) 2011-09-09 08:43:07 PDT
Walter, thank you very much for looking into this!

The "regression" in Firefox 7 is that we implemented support for the text-overflow property.  ;)  Firefox 6 did not support it.

So what's going on here is that the text is in fact overflowing.  The question is why; it might be a bug in the site's CSS or a bug on our end...  Walter, do you think you can get me the HTML+CSS involved (with any information you want to keep private removed, of course)?  It's really hard to figure out why the overflow is happening without a good idea of what the exact markup and styling looks like.

If you can't do that, I can probably propose some script you could run in your web console that might tell us useful information, but we'll have to go back and forth on that a few times, so it'll be a lot slower.
Comment 18 Walter Francis 2011-09-09 08:56:27 PDT
(In reply to Boris Zbarsky (:bz) from comment #17)
> Walter, thank you very much for looking into this!
> 
> The "regression" in Firefox 7 is that we implemented support for the
> text-overflow property.  ;)  Firefox 6 did not support it.

Regression was a strong word then probably ;)

> So what's going on here is that the text is in fact overflowing.  The
> question is why; it might be a bug in the site's CSS or a bug on our end... 
> Walter, do you think you can get me the HTML+CSS involved (with any
> information you want to keep private removed, of course)?  It's really hard
> to figure out why the overflow is happening without a good idea of what the
> exact markup and styling looks like.

I'm emailing you a link.  I don't think there's anything personal in it particularly, but don't really want to attach it here either ;)

> If you can't do that, I can probably propose some script you could run in
> your web console that might tell us useful information, but we'll have to go
> back and forth on that a few times, so it'll be a lot slower.

We could do that too, but look at the link I'm sending first if that helps.  It does reproduce here with the offline files for me as-is.

By the way, I'm using a custom skin for RCE, but it happens with the stock skin as well.  I did try something like this site which works fine, so I wonder what's different..  http://www.quirksmode.org/css/textoverflow.html
Comment 19 j.j. 2011-09-09 09:08:52 PDT
see http://trac.roundcube.net/ticket/1488061

Resolution set to wontfix 
 CSS 3 text-overflow: ellipsis is new in FF7. We'll not digg into it until it become stable release. Maybe you should request a bug to Mozilla.
Comment 20 Boris Zbarsky [:bz] (still a bit busy) 2011-09-09 09:25:21 PDT
Gah.  What's the point of us having a beta if people aren't going to act on issues it finds in their sites?  :(

Walter, thanks.  Looking into those files now.
Comment 21 j.j. 2011-09-09 09:33:15 PDT
>  http://trac.roundcube.net/ticket/1488061
I registered and asked them for help
Comment 22 Aleksander Machniak 2011-09-09 09:52:40 PDT
I'm the Roundcube developer and can provide test account in my Roundcube installation. Write to alec at alec.pl
Comment 23 Boris Zbarsky [:bz] (still a bit busy) 2011-09-09 10:20:48 PDT
Created attachment 559501 [details]
Minimal testcase based on the files I was sent

The key part here is to have a table cell that's too narrow for the text and has both overflow: hidden _and_ text-overflow:ellipsis (though I think that's just because the latter does nothing without the former) and then to have the text inside the cell all wrapped in an inline-block.

Per spec at http://dev.w3.org/csswg/css3-ui/#text-overflow I believe our behavior is correct.  Specifically, the relevant part is this:

  For the ellipsis and string values, implementations must hide characters and
  atomic inline-level elements at the applicable edge(s) of the line as
  necessary

Where "atomic inline-level elements" is a link to the definition at http://www.w3.org/TR/CSS21/visuren.html#inline-boxes which says:

  Inline-level boxes that are not inline boxes (such as replaced inline-level
  elements, inline-block elements, and inline-table elements) are called atomic
  inline-level boxes

Or in other words, per spec if any part of the inline-block (or its descendants?  It matters if I set the width of the inline-block to 100%, say.) overflows the cell, the entire inline-block is hidden.

Neither WebKit nor Presto implement this behavior; they just seem to not apply text-overflow to non-text inline content.

So either the spec needs to change or the website needs to change here...
Comment 24 Boris Zbarsky [:bz] (still a bit busy) 2011-09-09 10:22:04 PDT
Mats, can you please confirm that I'm reading the spec correctly here?
Comment 25 Mats Palmgren (:mats) 2011-09-09 11:37:25 PDT
Yes, this is the correct behavior per the spec (and we did discuss this behavior
specifically so I'm sure it's what the spec author intended).

I'm not really sure what they are trying to accomplish with the inline-block
so it's hard to make recommendations on how they should fix it.
The simplest fix would be to remove the display:inline-block, but if they must
have that for some reason I guess they could add 'width:100%; overflow:hidden;'
to it to clip the text at the edge; they could also specify text-overflow on it
if desired.
Comment 26 Mats Palmgren (:mats) 2011-09-09 11:39:58 PDT
Created attachment 559526 [details]
Like so
Comment 28 Boris Zbarsky [:bz] (still a bit busy) 2011-09-12 16:44:05 PDT
Requesting tracking, given the somewhat wide-spread impact....
Comment 29 j.j. 2011-09-12 17:35:35 PDT
> Known hosting companies that offer Roundcube as webmail 
Note that this list is likely the tip of an iceberg
Comment 30 ABC4All 2011-09-12 21:19:46 PDT
several updates have not resolved this issue.

i downloaded version 6.0.2 and it disappeared.

b.
Comment 31 j.j. 2011-09-14 18:11:08 PDT
alec from Roundcube says this will be fixed in Roundcube 0.6-stable. Release should be this month (September).
http://trac.roundcube.net/milestone/0.6-stable

Added demo installation to URL field.
Comment 32 Christopher Blizzard (:blizzard) 2011-09-26 13:37:03 PDT
I reached out to alec again to see if I can understand what the release schedule looks like.
Comment 33 Christopher Blizzard (:blizzard) 2011-09-28 10:45:01 PDT
A.L.E.C. (that's how its said in his email) says that they will be doing a 0.6 release today that includes the fix.
Comment 34 j.j. 2011-09-28 15:27:34 PDT
Roundcube 0.6 is available for download now.
http://roundcube.net/download
Comment 35 Boris Zbarsky [:bz] (still a bit busy) 2011-09-28 18:15:48 PDT
Do we need per-site evangelism bugs for roundcube installs?
Comment 36 j.j. 2011-09-29 03:58:12 PDT
> Do we need per-site evangelism bugs for roundcube installs?

Shrug... if reported, we will have it. Otherwise they have probably fixed or announced it anyway.
(I already contacted ABC4All how to fix tierra.net)
Comment 37 thatsmyboy 2012-02-27 07:56:14 PST
(In reply to Boris Zbarsky (:bz) from comment #14)
> One other thing worth testing.  If you add this:
> 
>   * { text-overflow: clip !important; }
> 
> to the userContent.css in the "chrome" subdirectory of your Firefox profile
> and then restart the browser, does the behavior change?

I tried to use the trick mentioned above, but didn't get it to work. My webmail

https://webmail.ufl.edu/ 

is dragging its feet to fix this one. Can you be any more specific? just an empty file with the line above exactly?
Comment 38 Boris Zbarsky [:bz] (still a bit busy) 2012-02-27 07:59:53 PST
Yes, just quit Firefox, open up /path/to/profile/chrome/userContent.css and put that one line in there...
Comment 39 j.j. 2012-02-27 17:15:03 PST
(In reply to thatsmyboy from comment #37)

> https://webmail.ufl.edu/ 

> is dragging its feet to fix this one. Can you be any more specific? just an
> empty file with the line above exactly?

They should just update their roundcube installation, it is fixed since roundcube version 0.6.

It's also fixed in Firefox 11 due to implementation of recent CSS specification changes  in bug 690187. Fx11 ships in two weeks (2012-03-13).

Note You need to log in before you can comment on or make changes to this bug.